#ifndef PLOTTER_H
#define PLOTTER_H

#include <QWidget>
#include <QImage>
#include <QColor>

class Plotter : public QWidget {
    Q_OBJECT

public:
  int time_d2, co2_d2, temp_d2, hum_d2;
  bool FlagPrint,FlagPdf,FlagPng,FlagStart,FlagStop,FlagClip;
  qreal zoom;
  QString date_g2,time_g2,date_2,time_2;
  QImage graph;


  int x;

  Plotter(QWidget *parent = 0);
  void initPlotter();


private slots:

  void calculateLines(void);


private:
  static const int xsize = 1899;
  static const int ysize = 899;


  QPoint co2points[xsize];
  QPoint temppoints[xsize];
  QPoint humpoints[xsize];
  QFont  font;


  static const int axisy=60, axisxco2l=435, axisxtempl=190, axisxhuml=180, aspan=5, vspan=25,lspan=15, laspan=10, tspan=15;
  static const int axisxco2=axisxco2l+tspan, axisxtemp=axisxco2+vspan+axisxtempl, axisxhum=axisxtemp+vspan+axisxhuml;
  static const int arroww=4, arrowl=15;
  static const int co2grlim=1000, co2orlim=1500, co2redlim=2000;
  static const int tempbllim=2000, tempgrlim=2300, temporlim=2700, tempredlim=3300;
  static const int humgrhlim=5500, humgrllim=4500, humorllim=3500, humorhlim=6500, humredllim=2500, humredhlim=7500;
  static const int lightgreen = 0xDDFFDD, lightorange = 0xFFEECC,lightred = 0xFFDDDD,lightblue = 0xCCEEFF;



protected:

  void printGraph(QImage *Graph);
  void draw(QPainter *imagePainter);
  void paintEvent(QPaintEvent *event);

};

#endif // PLOTTER_H



